
<template>
  <view-grid
    ref="grid"
    :columns="columns"
    :detail="detail"
    :editFormFields="editFormFields"
    :editFormOptions="editFormOptions"
    :searchFormFields="searchFormFields"
    :searchFormOptions="searchFormOptions"
    :table="table"
    :extend="extend"
  >
  </view-grid>
</template>
    <script>
import extend from "@/extension/basic/equipment.js";
import { ref, defineComponent } from "vue";
export default defineComponent({
  setup() {
    const table = ref({
      key: "id",
      footer: "Foots",
      cnName: "报警信息",
      name: "equipment",
      url: "/Equipment/",
      sortName: "id",
    });
    const editFormFields = ref({
    //   areaCode: "",
    //   areaName: "",
    //   warehouseId: "",
    //   areaDes: "",
    });
    const editFormOptions = ref([
      [
    //     {
    //       title: "区域编号",
    //       required: true,
    //       field: "areaCode",
    //       type: "string",
    //     },
    //     {
    //       title: "区域名称",
    //       required: true,
    //       field: "areaName",
    //       type: "string",
    //     },
    //     {
    //       title: "仓库主键",
    //       required: true,
    //       field: "warehouseId",
    //       type: "select",
    //       dataKey: "warehouse",
    //       data: [],
    //     },
        
    //   ],
    //   [
    //   {
    //       title: "区域类型",
    //       required: true,
    //       field: "areaType",
    //       type: "int",
    //     },
    //     {
    //       title: "区域描述",
    //       field: "areaDes",
    //       type: "textarea",
    //     },
    //     { title: "区域状态", field: "areaStatus" ,type: "select",dataKey: "enableEnum",data: [],},
      ],
    ]);
    const searchFormFields = ref({
    //   areaCode: "",
    //   areaName: "",
    //   warehouseId: "",
    //   areaDes: "",
    });
    const searchFormOptions = ref([
    //   [
    //     { title: "区域编号", field: "areaCode", type: "like" },
    //     { title: "区域名称", field: "areaName", type: "like" },
        
    //     {
    //       title: "区域状态",
    //       field: "areaStatus",
    //       type: "select",
    //       dataKey: "enableEnum",
    //       data: [],
    //     },
    //   ],
    //   [
    //     {
    //       title: "仓库主键",
    //       field: "warehouseId",
    //       type: "select",
    //       dataKey: "warehouse",
    //       data: [],
    //     },{ title: "区域类型", field: "areaType" },
    //   ],
    ]);
    const columns = ref([
      {
        field: "id",
        title: "Id",
        type: "int",
        width: 90,
        hidden: true,
        readonly: true,
        require: true,
        align: "left",
      },
      {
        field: "deviceId",
        title: "设备id",
        type: "string",
        width: 80,
        align: "left",
      },
      {
        field: "deviceName",
        title: "设备名称",
        type: "string",
        width: 90,
        align: "left",
        // bind:{ key: "warehouse", data: [] },
      },
      {
        field: "taskNo",
        title: "任务号",
        type: "string",
        width: 90,
        align: "left",
      },
      {
        field: "eventId",
        title: "告警id",
        type: "decimal",
        width: 90,
        align: "left",
      },
      {
        field: "title",
        title: "告警标题",
        type: "string",
        width: 90,
        align: "left",
        // bind: { key: "enableEnum", data: [] },
      },
      {
        field: "message",
        title: "告警内容",
        type: "int",
        width: 120,
        align: "left",
      },
      {
        field: "status",
        title: "告警状态",
        type: "string",
        width: 90,
        align: "left",
      },
{
        field: "creater",
        title: "创建人",
        type: "string",
        width: 90,
        align: "left",
      },
      {
        field: "createDate",
        title: "创建时间",
        type: "datetime",
        width: 160,
        align: "left",
        sort: true,
      },
      {
        field: "modifier",
        title: "修改人",
        type: "string",
        width: 100,
        align: "left",
      },
      {
        field: "modifyDate",
        title: "修改时间",
        type: "datetime",
        width: 160,
        align: "left",
        sort: true,
      },
    ]);
    const detail = ref({
      cnName: "#detailCnName",
      table: "",
      columns: [],
      sortName: "",
    });
    return {
      table,
      extend,
      editFormFields,
      editFormOptions,
      searchFormFields,
      searchFormOptions,
      columns,
      detail,
    };
  },
});
</script>
    